Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008196TestLinkGUIpublic2018-02-12 14:552018-04-15 10:36
Reporterpsauer 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008196: In 1.9.17 GUI Inventory is missing
DescriptionWhile testing 1.9.17 I noticed, that the Inventory link is NOT available on Main Project page in “Test Project” menu even if activated in project properties.

I could locate the missing Code in /gui/templates/mainPageLeft.tpl

After inserting into Line 119-121:

{if $gui->grants.project_inventory_view}
      lib/inventory/inventoryView.php
    {/if}

the missing Inventory link is shown.

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0008177new Review rights management and Main Page 

-  Notes
(0027194)
Mr.Bricodage (updater)
2018-02-12 21:02

Thank you for the feedback.

This problem is fixed in commit d2216d655fcec1623dfb2f2ac754dab0835e4ab5 in the PR 138 (https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/138 [^])

Mantis issue related to this PR is 0008177. You can monitor this ticket to know when the problem will be fixed
(0027358)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2018-02-12 14:55 psauer New Issue
2018-02-12 21:02 Mr.Bricodage Note Added: 0027194
2018-02-12 21:03 Mr.Bricodage Relationship added related to 0008177
2018-02-18 10:47 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-02-18 10:47 fman Status new => resolved
2018-02-18 10:47 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-02-18 10:47 fman Resolution open => fixed
2018-02-18 10:47 fman Assigned To => fman
2018-04-15 10:36 fman Note Added: 0027358
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker